@echo off
REM Start in Fender FUSE folder, grab the directory info there.
cd "%PROGRAMFILES%\Fender\Fender FUSE"
dir /s > dir.txt

REM Now on to the Microsoft Silverlight folder, for a full directory there, then return to Fender FUSE.
cd "%PROGRAMFILES%\Microsoft Silverlight"
dir /s >> "%PROGRAMFILES%\Fender\Fender FUSE\dir.txt"
cd "%PROGRAMFILES%\Fender\Fender FUSE"

REM Attempt to install Fender FUSE
"%PROGRAMFILES%\Microsoft Silverlight\sllauncher.exe" /install:"FUSEUI.xap" /overwrite /origin:"https://fuse.fender.com/FUSEUI.xap"
REM Go to the user's Silverlight folder, and get a list of what's there, then come back.  
REM If the folder doesn't exist, it'll re-list our installation folder.
cd %LOCALAPPDATA%\Microsoft\Silverlight
dir /s >> "%PROGRAMFILES%\Fender\Fender FUSE\dir.txt"
cd OutOfBrowser
dir /b *.fuse.fender.com > temp.txt
set /p slui= < temp.txt
del /q temp.txt
cd %LOCALAPPDATA%\..\LocalLow\Microsoft\Silverlight
dir /s >> "%PROGRAMFILES%\Fender\Fender FUSE\dir.txt"
cd "%PROGRAMFILES%\Fender\Fender FUSE"

REM First, try and launch Fender FUSE the normal way:
"%PROGRAMFILES%\Microsoft Silverlight\sllauncher.exe" %slui%

:QUESTION
echo ***** Did Fender FUSE launch?  Answer Y or N. ******
set /p RANOK=
if /i %RANOK%==Y (
echo Succesful run >> dir.txt
exit 0
)
if /i NOT %RANOK%==N (
goto QUESTION
)

REM We get here if the user answered "N" to the previous question.
REM Now, try emulating:
"%PROGRAMFILES%\Microsoft Silverlight\sllauncher.exe" /emulate:"FUSEUI.xap" /overwrite /origin:"https://fuse.fender.com/FUSEUI.xap"

echo ***** If Fender FUSE did not launch, please send the file dir.txt in the Fender FUSE folder to the tech support lab, thank you. *****
pause